Package org.astrogrid.samp.web

# Interface CredentialPresenter

All Known Implementing Classes:
  `WebCredentialPresenter`

public interface CredentialPresenter
Extracts credentials for presentation to the user from available information, so that the user can decide whether to allow registration.

Since:
  18 Jun 2016
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CredentialPresenter.Presentation`
Aggregates credential information to be presented to the user.

## Method Summary

Modifier and Type
Method
Description
`CredentialPresenter.Presentation`
`createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent)`
Returns an object which contains user-directed credential messages, given available information from the registration request.

## Method Details

### createPresentation

CredentialPresenter.Presentation createPresentation(HttpServer.Request request, Map securityMap, AuthResourceBundle.Content authContent) throws SampException
Returns an object which contains user-directed credential messages, given available information from the registration request. If the request or securityMap can be determined to be definitely unsuitable for registration, a SampException is thrown.

Parameters:
  `request` - HTTP request associated with the registration request
  `securityMap` - information explicitly supplied by the aspiring client in support of its application to register
  `authContent` - content of AuthResourceBundle bundle
Returns:
  items for presentation to the user
Throws:
  `SampException` - if credentials should definitely not be accepted